Accept incoming leads

The method allows accepting an incoming lead.

Limitations
The method is available in correspondence to the user rights.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

ParameterData typeDescription
uidstringUnique identifier of the incoming lead
categorystringIncoming lead category. Possible values: sip, mail, chats, forms
pipeline_idintID of the pipeline containing the incoming lead
created_atintIncoming lead creation time as a Unix timestamp
_embeddedobjectEmbedded entities associated with the incoming lead
_embedded[contacts]arrayArray containing one contact associated with the incoming lead
_embedded[contacts][0]objectContact object
_embedded[contacts][0][id]intContact ID
_embedded[companies]arrayArray containing one company associated with the incoming lead
_embedded[companies][0]objectCompany object
_embedded[companies][0][id]intCompany ID
_embedded[leads]arrayArray containing one lead object
_embedded[leads][0]objectLead object
_embedded[leads][0][id]intLead ID
Path Params
string
required

Lead UID

Body Params
int32

The ID of the user who will be set as the lead creator

int32

The ID of the stage where the lead will be located after an incoming lead is accepted

Headers
string
enum
Defaults to application/hal+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/hal+json
application/problem+json